MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022941Community[OCCT] OCCT:Data Exchangepublic2012-01-30 17:552012-04-16 12:09
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022941: Memory leak in StepData_StepReaderData.cxx line 1826
Descriptionwhen exiting the method StepData_StepReaderData::SetEntityNumbers the variable indm is not deleted.

Solution add the following line:

delete [] indm;
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships

-  Notes
(0019316)
abv (manager)
2012-01-30 19:06

Please replace use pf plain C pointers by use of array classes from TColStd package (use HArray for indx variable)
(0019480)
dbv (developer)
2012-02-09 10:34

C pointers have been replaced by array classes from TColStd package

Branch http://svn/svn/occt/branches/OCC22941 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019484)
abv (manager)
2012-02-09 10:57

No remarks, please test
(0019509)
apn (administrator)
2012-02-10 15:02

Dear BugMaster,
  Workbench KAS:dev:mkv-22941-occt was created from SVN branch http://svn/svn/occt/branches/OCC22941 [^]
  (and mkv-22941-products from trunk) and compiled on Linux and Windows platforms.
  
  There are not regressions in mkv-22941-products regarding to KAS:dev:products-20120203-opt
  
  See results in /QADisk/occttests/results/KAS/dev/ mkv-22941-products_09022012/lin
  See reference results in /QADisk/occttests/results/KAS/dev/products-20120203-opt_03022012/lin
  See test cases in /QADisk/occttests/tests/ED
(0019517)
bugmaster (administrator)
2012-02-10 17:26

Integrated into trunk of occt repository

Date: 2012-02-10 17:08:30 +0400 (Fri, 10 Feb 2012)
New Revision: 10422

Modified:
   trunk/src/StepData/StepData_StepReaderData.cxx
(0020388)
Pawel (developer)
2012-04-16 12:09

Verified. Please close.

- Related Changesets
occt: master 1d37eeb6
Timestamp: 2012-02-10 13:08:30
Author: dbv
Committer: bugmaster
Details ] Diff ]
0022941: Memory leak in StepData_StepReaderData.cxx line 1826
mod - src/StepData/StepData_StepReaderData.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-30 17:55 Pawel New Issue
2012-01-30 17:55 Pawel Assigned To => gka
2012-01-30 19:06 abv Note Added: 0019316
2012-01-30 19:06 abv Assigned To gka => dbv
2012-01-30 19:06 abv Status new => assigned
2012-02-09 10:34 dbv Note Added: 0019480
2012-02-09 10:34 dbv Assigned To dbv => abv
2012-02-09 10:34 dbv Status assigned => resolved
2012-02-09 10:57 abv Note Added: 0019484
2012-02-09 10:57 abv Assigned To abv => dbv
2012-02-09 10:57 abv Status resolved => reviewed
2012-02-10 15:02 apn Note Added: 0019509
2012-02-10 15:03 apn Test case number => Test case is not required
2012-02-10 15:03 apn Status reviewed => tested
2012-02-10 17:25 bugmaster Target Version => 6.5.3
2012-02-10 17:26 bugmaster Note Added: 0019517
2012-02-10 17:26 bugmaster Status tested => verified
2012-02-10 17:26 bugmaster Resolution open => fixed
2012-03-29 17:26 bugmaster Changeset attached => occt master 1d37eeb6
2012-04-03 13:31 abv Assigned To dbv => Pawel
2012-04-16 12:09 Pawel Assigned To Pawel => bugmaster
2012-04-16 12:09 Pawel Note Added: 0020388


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker